PPIx::Regexp::Structure::NamedCapture(3)

NAME
PPIx::Regexp::Structure::NamedCapture - Represent a named capture

SYNOPSIS
 use PPIx::Regexp::Dumper;
 PPIx::Regexp::Dumper->new( 'qr{(?<foo>foo)}smx' )
     ->print();

INHERITANCE
"PPIx::Regexp::Structure::NamedCapture" is a PPIx::Regexp::Structure::Capture.

"PPIx::Regexp::Structure::NamedCapture" has no descendants.

DESCRIPTION
This class represents a named capture. Its content will be something like one of the following:

 (?<NAME> ... )
 (?'NAME' ... )
 (?P<NAME> ... )

METHODS
This class provides the following public methods. Methods not documented here are private, and unsupported in the sense that the author reserves the right to change or remove them without notice.

  name
 my $name = $element->name();

This method returns the name of the capture.

SUPPORT
Support is by the author. Please file bug reports at <https://rt.cpan.org/Public/Dist/Display.html?Name=PPIx-Regexp>, <https://github.com/trwyant/perl-PPIx-Regexp/issues>, or in electronic mail to the author.

AUTHOR
Thomas R. Wyant, III wyant at cpan dot org

COPYRIGHT AND LICENSE
Copyright (C) 2009-2023 by Thomas R. Wyant, III

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5.10.0. For more details, see the full text of the licenses in the directory LICENSES.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.